Data Structures | Typedefs

# mcf.h File Reference

Declaration of Multi-Commodity-Flow solver. More...

`#include "linkgraph.h"`
`#include <vector>`

Go to the source code of this file.

## Data Structures
class | DistanceAnnotation
| Distance-based annotation for use in the Dijkstra algorithm. More...
struct | DistanceAnnotation::Comparator
class | CapacityAnnotation
| Capacity-based annotation for use in the Dijkstra algorithm. More...
struct | CapacityAnnotation::Comparator
class | MultiCommodityFlow
| Multi-commodity flow calculating base class. More...
class | MCF1stPass
| First pass of the MCF calculation. More...
class | MCF2ndPass
| Second pass of the MCF calculation. More...
class | MCFHandler< Tpass >
| Link graph handler for MCF. More...
## Typedefs
typedef std::vector< Path * > | PathVector

## Detailed Description

Declaration of Multi-Commodity-Flow solver.

Definition in file mcf.h.